## coinor-csdp 6.1.1

=== example/Makefile ===
--- 
+++ 
@@ -71,9 +71,10 @@
 #
 # In addition, if you're using gcc to compile the C code, then you'll need:
 #
-#  g2c                The gnu C/Fortran 77 compatibility library
+#  gfortran           The gnu C/Fortran 77 compatibility library
 #  m                  The C math run time library.
-#   
+#  
+#
 # Use this line to specify where the SDP and linear algebra libraries are
 # to be found. 
 #
@@ -81,12 +82,13 @@
 # -lsdp               get libsdp.a from the ../lib directory
 # -llapack            get liblapack.a or liblapack.so 
 # -lblas              get libblas.a or libblas.so
-# -lg2c               get libg2c.a or libg2c.so
+# -lgfortran          get libgfortran.a or libgfortran.so
 # -lm                 get libm.a or libm.so
 #
-# The default settings for a Linux system with gcc3, lapack, blas, and g2c:
+# The default settings for a Linux system with gcc3, lapack, blas, and 
+# gfortran:
 #
-LIBS=-L../lib -lsdp -llapack -lblas -lg2c -lm
+LIBS=-L../lib -lsdp -llapack -lblas -lgfortran -lm
 #
 # 1. Warning about debian systems.  For some absurb reason, the BLAS
 # package in debian has the BLAS library named libblas-3.a, rather than
@@ -95,15 +97,15 @@
 #
 # 2. An alternative set of flags for use with the ATLAS BLAS on a Linux system.
 #
-# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lg2c -lm 
+# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lgfortran -lm 
 #
-# 3. Special note on gcc 4.  In the gcc 4.x versions of gcc, -lg2c has
-#    been replaced by -lgfortran.
+# 3. Special note on gcc 4.  For gcc versions before gcc 4.0, -lgfortran 
+#    should be replaced by -lg2c.
 #
 # 4. An alternative set of flags for use with the ATLAS BLAS, gcc 4.2, and
 #    OpenMP on a linux system.
 #
-# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lphtread -lgfortran -lm
+# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lpthread -lgfortran -lm
 #
 #
 # Target all builds everything.
