=== lib/Makefile ===
--- 
+++ 
@@ -16,10 +16,15 @@
 #  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
 #  -DUSEOPENMP        Build an OpenMP parallel version.
 #  -DSETNUMTHREADS    Work with OpenMP aware BLAS.  
+#  -DUSESIGTERM       Terminate nicely at the end of the next iteration
+#                     after receiving a SIGTERM signal
+#  -DUSEGETTIME       Use ANSI C gettime() routine to determine clock
+#                     time used in different parts of the code.
+#  -DUSEATLAS         Turns on some special code for use with the ATLAS BLAS.
 #
 # The default settings for gcc:
 #
-CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include
+CFLAGS=-O3 -ansi -Wall -DNOSHORTS -DUSEGETTIME -I../include
 #
 # Notes on CFLAGS.
 #
@@ -28,12 +33,16 @@
 #    in the data structures that describe the problem.  This can cause problems
 #    when some of the size parameters are larger than 65535.  
 #
-# 2. By default, we assume that BLAS routines have names like ddot_(),
+# 2. -DUSEGETTIME is generally useful.  However, this functionality isn't
+#    available under Windows/MSYS/MINGW, so you should remove it when compiling
+#    for that system.
+#
+# 3. By default, we assume that BLAS routines have names like ddot_(),
 #    but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
 #    effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
 #    -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
 # 
-# 3. The code can be built on 64 bit systems that use an I32LP64 model
+# 4. The code can be built on 64 bit systems that use an I32LP64 model
 #    in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
 #    that is the model on all 64 bit Linux and Unix systems that I'm aware of,
 #    but it is not the model used by MS in its 64 bit Windows!  To build a 
@@ -41,7 +50,7 @@
 #    to tell your compiler to produce 64 bit code.  For example, with gcc, 
 #    you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
 #
-# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
+# 5. If you have multiple CPU's, and if your compiler supports OpenMP, then
 #    you should definitely build a parallel version of CSDP.  To do this,
 #    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
 #    use OpenMP's conventions for setting the number of threads to use, then
@@ -60,7 +69,7 @@
 # 
 #      -lgomp -lrt -lpthread
 #    
-# 5. Using gcc, you can greatly improve the efficency of the code if you 
+# 6. Using gcc, you can greatly improve the efficency of the code if you 
 #    specify your processor type.  Examples are given below, use the default 
 #    if you are unsure.  More examples may be found at 
 #
@@ -71,7 +80,25 @@
 # An Intel Pentum 4 based machine:
 #  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS  -I../include
 #
-# 5. If you change the CFLAGS, make sure that you use the same CFLAGS
+# 7. The code can be built with Intel's icc C compiler and MKL BLAS/
+#    LAPACK libraries.  This has been tested with icc 11.0 and should 
+#    work with later versions as well.
+#
+#      CC=icc
+#      CFLAGS=-O3 -m64 -openmp -DBIT64 -DUSEOPENMP -DNOSHORTS -DSETNUMTHREADS
+#              -I../include
+#      LIBS=-openmp -L../lib -lsdp -mkl -lm
+#
+# 8. The can works particularly well with the ATLAS BLAS/LAPACK routines 
+#    when compiled with gcc. There are some important optimizations in the
+#    code that depend on the availability of routines within ATLAS, so use
+#    use -DUSEATLAS to turn these on.  e.g.  
+#
+#      CFLAGS=-O3  -fopenmp  -ansi -Wall -DUSEATLAS -DNOSHORTS -DBIT64 
+#             -DUSEOPENMP -I../include
+#
+#
+# 9. If you change the CFLAGS, make sure that you use the same CFLAGS
 #    in the Makefiles in the solver and theta directories!
 #
 #  Build the library.
