=== debian/changelog ===
coinor-csdp (6.1.1-1) unstable; urgency=low

  * New upstream version. (Closes: #576822)
    - Switch to dpkg-source 3.0 (quilt) format.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 09 Apr 2010 21:18:49 +0200

coinor-csdp (6.1.0-1) unstable; urgency=low

  * New upstream version.
    - refresh patches
  * Bump standards version (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 03 Mar 2010 12:33:43 +0100

coinor-csdp (6.0.1-2) unstable; urgency=low

  * Fix FTBS for Renesas SH(sh4) CPUs. (Closes: #560426)

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 11 Dec 2009 05:25:35 +0100

coinor-csdp (6.0.1-1) unstable; urgency=low

  * Initial Release. (Closes: #511899)

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 12 Apr 2009 00:36:13 +0200
