=== solver/Makefile ===
#
#  This builds the stand alone solver.
#
csdp: csdp.o 
	$(CC) $(CFLAGS) csdp.o $(LIBS) -o csdp
#
# To clean out the directory:
#
clean:
	rm -f *.o
	rm -f csdp
