=== debian/changelog ===
coinor-csdp (6.2.0-4) unstable; urgency=medium

  * debian/control
    - Update Maintainer to Debian Math Team.
    - Bump Standards-Version to 4.6.0.
    - Update Vcs-* fields (debian-science -> debian-math).
  * debian/copyright
    - Update my copyright years.
  * debian/README.Debian
    - Remove note about octave helper files that no longer exist.
    - Rename from README.debian.
  * debian/rules
    - Drop override_dh_strip; contained --dbgsym-migration option, but
      the migration is now complete.
    - Stop setting DH_VERBOSE.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 07 Nov 2021 20:48:59 -0500

coinor-csdp (6.2.0-3) unstable; urgency=medium

  * Source-only upload needed for migration to testing.
  * debian/control
    - Set Multi-Arch; coinor-csdp-doc to foreign and libsdp* to same.
    - Drop libatlas-base-dev as an option for Build-Depends; the
      libcblas.so symbols have been merged into libblas.so.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 05 Jul 2020 08:51:43 -0400

coinor-csdp (6.2.0-2) unstable; urgency=medium

  * debian/coinor-csdp-doc.examples
    - Don't bother installing the example Makefile
  * debian/control
    - New Maintainer/Uploader (Closes: #645079).
    - Update Homepage.
    - Switch Vcs-* to Debian Science Team repository.
    - Bump debhelper compatibility level to 13.
    - Wrap and sort Depends and Build-Depends.
    - Add gfortran to Build-Depends; a fortran compiler is needed
      by configure when checking for blas.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
    - Drop opening article 'A' from Description.
    - Add disambiguation to short descriptions for the coinor-csdp
      and coinor-csdp-doc, which were previously identical.
    - Drop deprecated *-dbg package.
  * debian/control
    - Add stanzas for new libsdp0 and libsdp-dev packages.
  * debian/copyright
    - Reformat to DEP5.
  * debian/libsdp*.install
    - Install headers and libraries.
  * debian/libsdp0.symbols
    - New symbols file.
  * debian/not-installed
    - Tell dh_missing that we're not installing libtool's .la file.
  * debian/orig-tar.sh
    - Remove file; no longer necessary.  Most of the files that were
      removed from the tarball are no longer present in the current
      version, and we can take care of the .pdf manual using dpkg-source.
  * debian/patches/{move-headers,use-autotools}.patch
    - Apply patches from Sage. In particular, we now use autotools
      to build a dynamic library and move the header files to a new
      subdirectory.
  * debian/README.source
    - Remove file describing the use of quilt; quilt has been standard
      for some time.
  * debian/rules
    - Use all hardening flags.
    - Drop assignment of LDFLAGS.  It's a puzzle as to why this was
      being done in the first place, as they weren't actually used.
    - Switch dh_strip option from --dbg-package to --dbgsym-migration.
    - Drop dh_auto_install target; no longer necessary now that we
      use autotools for build.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/source/include-binaries
    - New file; whitelist the pre-generated .pdf manual.
  * debian/tests/control
    - Add simple smoke test for autopkgtest.
  * debian/upstream/metadata
    - New upstream metadata file.
  * debian/watch
    - Bump to version 4 and take advantage of special strings. Also
      switch from http to https.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 May 2020 01:46:38 -0400

coinor-csdp (6.2.0-1) unstable; urgency=medium

  * QA upload.
  * Update to upstream 6.2.0.
  * Update Standards-Version to 4.4.1.
  * Update compat level to 12.
  * Remove dependency on cdbs.
  * Remove Uploader.
  * Modify the patch for Makefile.
  * Push to salsa and update Vcs.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 22 Dec 2019 23:21:48 +0000
