=== debian/control ===
Source: coinor-csdp
Section: science
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               doxygen-latex,
               gfortran,
               libblas-dev,
               libgfortran5,
               libgomp1,
               liblapack-dev
Standards-Version: 4.6.0
Homepage: https://github.com/coin-or/Csdp
Vcs-Git: https://salsa.debian.org/math-team/csdp.git
Vcs-Browser: https://salsa.debian.org/math-team/csdp
Rules-Requires-Root: no

Package: coinor-csdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Software package for semidefinite programming (binaries)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the binaries.

Package: coinor-csdp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: coinor-csdp
Description: Software package for semidefinite programming (documentation)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the documentation and examples.

Package: libsdp0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Software package for semidefinite programming (library)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the dynamic library.

Package: libsdp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsdp0 (= ${binary:Version}), ${misc:Depends}
Description: Software package for semidefinite programming (development)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the static library and headers.
