=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_build:
	dh_auto_build
	cd doc && ( pdflatex csdpuser.tex ; bibtex csdpuser \
		pdflatex csdpuser.tex; pdflatex csdpuser.tex )
