=== debian/tests/control ===
# ideally, we would like to actually do the comparisons as outlined in
# test/Makefile, but for now we do a simple smoke test
Test-Command: csdp-theta test/theta1.dat-s && csdp-theta test/g50 &&
  gcc example/example.c -lsdp
Depends: @, build-essential
